float4x4 tVP: VIEWPROJECTION;

uint StartIndex = 0;

StructuredBuffer<float4x4> TransformBuffer;

struct VS_IN
{
	float4 PosO : POSITION;
	uint ii : SV_InstanceID;

};

struct vs2ps
{
    float4 PosWVP: SV_POSITION;
	uint id : TEXCOORD0;
};

struct PS_OUT
{
	float4 color :SV_Target0;
	uint id : SV_Target1;
};

vs2ps VS(VS_IN input)
{
    vs2ps Out = (vs2ps)0;
	
	float4x4 w = transpose(TransformBuffer[input.ii]);
	float4x4 wvp = mul(w,tVP);
	
    Out.PosWVP  = mul(input.PosO,wvp);
	Out.id = input.ii + StartIndex + 1;
    return Out;
}


uint PS(vs2ps input) : SV_Target
{
	return input.id;
}

technique10 Render
{
	pass P0
	{
		SetVertexShader( CompileShader( vs_4_0, VS() ) );
		SetPixelShader( CompileShader( ps_4_0, PS() ) );
	}
}






